SDL_GetGamepadFromPlayerIndex(3)

NAME
SDL_GetGamepadFromPlayerIndex - Get the SDL_Gamepad associated with a player index.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

SDL_Gamepad * SDL_GetGamepadFromPlayerIndex(int player_index);

FUNCTION PARAMETERS

player_index
    the player index, which different from the instance ID.

RETURN VALUE
Returns the SDL_Gamepad associated with a player index.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepadPlayerIndex(3), SDL_SetGamepadPlayerIndex(3)